Skip to main content

Create Lab Inventory

The "create inventory" API facilitates the addition of stock to specific laboratory facilities.

Lab Inventory​

curl --location 'https://demo.hng.one/developerapi/lab/create-inventory' \
--header 'Authorization: Bearer <<JWT_TOKEN>>' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"clientId":"qwer-iuhjkjhv-oijhgfcv"
"facilityInfo": {
"facilityId": "1234",
"facilityName": "Delhi MMU"
},
"indentInfo": {
"indentId": "IND1234",
"indentName": "INDENT001"
},
"itemInfo": [{
"itemUID": "1",
"itemName": "lancet",
"usageName": "lancet",
"description": "lancet",
"itemType": "CONSUMABLE",
"units": "NO",
"batchNo": "BAT0001",
"batchExpiryDate": 1744780979,
"quantity": 100
},{
"itemUID": "2",
"itemName": "SYRINGE 10 ML-1x50no's -HMS -nan - (50.0 Nos)",
"usageName": "SYRINGE",
"description": "SYRINGE",
"itemType": "CONSUMABLE",
"units": "NO",
"batchNo": "BAT0002",
"batchExpiryDate": 1744780979,
"quantity": 150
},{
"itemUID": "3",
"itemName": "SYRINGE 3 ML-1x50no's -HMS -nan - (50.0 Nos)",
"usageName": "SYRINGE",
"description": "SYRINGE",
"itemType": "CONSUMABLE",
"units": "NO",
"batchNo": "BAT0002",
"batchExpiryDate": 1744780979,
"quantity": 150
},{
"itemUID": "4",
"itemName": "uric acid",
"usageName": "SYRINGE",
"description": "SYRINGE",
"itemType": "REAGENT",
"units": "ML",
"batchNo": "BAT0003",
"batchExpiryDate": 1744780979,
"quantity": 500
}]
}
]'

API Fields Description​

Indent Info​

FieldDescriptionTypeRequired
indentNamename of the IndentStringYes
indentIdunique ID of the IndentStringYes

Facility Info​

FieldDescriptionTypeRequired
facilityIdunique ID of the FacilityStringYes
facilityNamename of the FacilityStringYes

Item Info​

FieldDescriptionTypeRequired
itemUIDunique ID of the ItemStringYes
itemNamename of the ItemStringYes
usageNameusage Name of the ItemStringYes
descriptiondescription is the common name for different item namesStringYes
itemTypeREAGENT / CONSUMABLEStringYes
unitsNO / MLStringYes
batchNobatchno of the ItemStringYes
batchExpiryDateexpiry date in Epoch Format in secondsNumberYes
quantityno. of quantity adding to the stockNumberYes